# ClockViewModel

#### new Cesium.ClockViewModel(clock)
Widgets/ClockViewModel.js 17

A view model which exposes a `Clock` for user interfaces.

Name | Type | Description
--- | --- | ---
`clock` | Clock | optional The clock object wrapped by this view model, if undefined a new instance will be created.

##### See:

- Clock

### Members

#### canAnimate : Boolean
Widgets/ClockViewModel.js 115

Gets or sets whether the clock can animate. See `Clock#canAnimate`. This property is observable.

#### clock : Clock
Widgets/ClockViewModel.js 142

Gets the underlying Clock.

#### clockRange : ClockRange
Widgets/ClockViewModel.js 103

Gets or sets the clock range setting. See `Clock#clockRange`. This property is observable.

#### clockStep : ClockStep
Widgets/ClockViewModel.js 91

Gets or sets the clock step setting. See `Clock#clockStep`. This property is observable.

#### currentTime : JulianDate
Widgets/ClockViewModel.js 66

Gets or sets the current time. See `Clock#currentTime`. This property is observable.

#### multiplier : Number
Widgets/ClockViewModel.js 79

Gets or sets the clock multiplier. See `Clock#multiplier`. This property is observable.

#### shouldAnimate : Boolean
Widgets/ClockViewModel.js 127

Gets or sets whether the clock should animate. See `Clock#shouldAnimate`. This property is observable.

#### startTime : JulianDate
Widgets/ClockViewModel.js 40

Gets or sets the start time of the clock. See `Clock#startTime`. This property is observable.

#### stopTime : JulianDate
Widgets/ClockViewModel.js 53

Gets or sets the stop time of the clock. See `Clock#stopTime`. This property is observable.

#### systemTime : JulianDate
Widgets/ClockViewModel.js 31

Gets the current system time. This property is observable.

### Methods

#### destroy()
Widgets/ClockViewModel.js 179

Destroys the view model. Should be called to properly clean up the view model when it is no longer needed.

#### isDestroyed() → Boolean
Widgets/ClockViewModel.js 171

##### Returns:

true if the object has been destroyed, false otherwise.

#### synchronize()
Widgets/ClockViewModel.js 154

Updates the view model with the contents of the underlying clock. Can be called to force an update of the viewModel if the underlying clock has changed and `Clock.tick` has not yet been called.